:root {
    --background-color: #303030;
    --text-color: #000;
    --transparent-light: rgba(255, 255, 255, 0.4);
    --transparent-dark: rgba(0, 0, 0, 0.4);
    --transparent: rgba(0, 0, 0, 0);
}

body {
    background-color: var(--background-color);
    color: var(--text-color);
    margin: 0px;
    height: 100%;
    font-family: 'Courier New';
}

header {
    color: #fff;
    text-align: center;
    margin-top: 20px;
    width: 100%;
    height: 60px;
    line-height: 60px;
    font-size: 60px;
    letter-spacing: 2px;
    font-weight: bold;
    font-family: 'Arial';
}

img {
    border-style: none;
    image-rendering: pixelated;
}

#card-container {
    width: calc(100% - 40px);
    height: fit-content;
    gap: 20px;
    margin: 0px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    overflow: scroll;
}

.card {
    aspect-ratio: 3 / 4;
    width: 120px;
    background-color: #404040;
    cursor: pointer;
    border-radius: 10px;
}

.card-content {
    padding: 10px;
    padding-bottom: 0px;
}

.card-image {
    aspect-ratio: 1;
    width: 100%;
    background-color: var(--transparent-light);
    border-radius: 10px;
}

.card-name {
    width: 100%;
    height: 30px;
    margin-top: 10px;
    line-height: 30px;
    text-align: center;
    overflow: hidden;
    font-weight: bold;
    background-color: var(--transparent-light);
    border-radius: 10px;
}

#pokemon-container {
    width: 100%;
    height: 100%;
    background-color: var(--transparent-dark);
    backdrop-filter: blur(3px);
    position: fixed;
    top: 0px;
    left: 0px;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    display: none;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
}

#pokemon-info {
    width: 80%;
    height: 80%;
    background-color: #404040;
    border-radius: 10px;
    display: grid;
    grid-template-columns: 1fr 2fr;
    position: relative;
    top: 0px;
    left: 0px;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
    animation-duration: 0.2s;
    animation-iteration-count: 1;
}

#pokemon-left {
    box-sizing: border-box;
    padding: 20px;
    padding-right: 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: scroll;
}

#pokemon-image {
    aspect-ratio: 1;
    width: 100%;
    background-color: var(--transparent-light);
    border-radius: 10px;
}

#pokemon-name {
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: var(--transparent-light);
    border-radius: 10px;
    margin-top: 20px;
}

#next-previous {
    display: flex;
    gap: 20px;
}

#next,
#previous,
#back {
    width: 100%;
    text-align: center;
    height: 40px;
    line-height: 40px;
    background-color: var(--transparent-light);
    border-radius: 10px;
    cursor: pointer;
}

#back {
    margin-top: 20px;
    background-color: #ff4040;
}

#pokemon-right {
    box-sizing: border-box;
    padding: 20px;
    display: flex;
    gap: 20px;
    flex-direction: column;
    overflow-y: scroll;
}

.pokemon-info-item {
    width: 100%;
    height: fit-content;
    min-height: 40px;
    line-height: 40px;
    border-radius: 10px;
    box-sizing: border-box;
    padding-left: 10px;
    background-color: var(--transparent-light);
    overflow: scroll;
}